{% extends "transport/base.html" %}
{% load transport_utils %}

{% block title %}Transports passés de {{ chauffeur }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'benevoles' 'transport' %}">Chauffeurs</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ chauffeur }}</li>
{% endblock %}

{% block content %}
    {% include 'benevole/benevole_tabs.html' with active='archives' %}
    <h4>Fiches de remboursement</h4>
    <div class="mb-3">
    {% for mois_remb in remboursements %}
        <a href="{% url 'benevole-transports-rembpdf' chauffeur.pk mois_remb.year mois_remb.month %}">{{ mois_remb.year }} - {{ mois_remb.month }}</a>
        {% if not forloop.last %} / {% endif %}
    {% endfor %}
    </div>

    <h4>Transports passés de {{ chauffeur }}</h4>
    <form id="{{ filter_form.name }}" class="immediate_submit table-filter unmonitor" method="get" action="{{ request.path }}"
          data-target="#transp_list">
    <table class="table table-sm">
        <thead>
            <tr><th>Date</th><th>Départ</th><th>Rdv</th><th>Retour</th><th>Client</th><th></th><th>Destination</th><th>Statut</th></tr>
            <tr class="filters">
                <td class="p-0">{{ filter_form.date }}</td><td class="p-0"></td><td class="p-0"></td><td class="p-0"></td>
                <td class="p-0">{{ filter_form.client }}</td><td class="p-0"></td>
                <td class="p-0">{{ filter_form.destination }}</td><td class="p-0">{{ filter_form.statut }}</td><td></td>
            </tr>
        </thead>
        <tbody id="transp_list">
    {% for transp in object_list %}
        {% transport_line transp 'statut,-chauffeur' %}
    {% empty %}<tr><td><i>Aucun transport à afficher.</i></td></tr>
    {% endfor %}
    </tbody></table>
    </form>

    {% include 'pagination.html' %}
{% endblock %}
